Beginning on October 25th, 2016, Persona will no longer be an option for authentication on BMO. For more details see Persona Deprecated.
Last Comment Bug 190353 - Property "pageIndex" of "wizard" tag is not working.
: Property "pageIndex" of "wizard" tag is not working.
: fixed-seamonkey1.0, fixed1.8.1
Product: Core
Classification: Components
Component: XUL (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla1.8.1
Assigned To: Daniel Brooks [:db48x]
: Neil Deakin
Depends on:
  Show dependency treegraph
Reported: 2003-01-23 12:55 PST by Gustavo J. R. Quiñónez Cattebeke
Modified: 2008-07-31 03:11 PDT (History)
3 users (show)
See Also:
Crash Signature:
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---

Apply against wizard.xml. Solves bug. (992 bytes, patch)
2003-01-23 13:21 PST, Gustavo J. R. Quiñónez Cattebeke
jag-mozilla: superreview-
Details | Diff | Splinter Review
190353-2.diff (850 bytes, patch)
2005-10-27 19:03 PDT, Daniel Brooks [:db48x]
neil: review+
Details | Diff | Splinter Review
190353-3.diff (1.66 KB, patch)
2005-10-28 12:44 PDT, Daniel Brooks [:db48x]
neil: review+
bzbarsky: superreview+
mconnor: approval‑branch‑1.8.1+
Details | Diff | Splinter Review
190353-5.diff (622 bytes, patch)
2006-05-10 17:30 PDT, Daniel Brooks [:db48x]
no flags Details | Diff | Splinter Review
190353-6.diff (1.27 KB, patch)
2006-05-10 17:43 PDT, Daniel Brooks [:db48x]
neil: review+
Details | Diff | Splinter Review

Description Gustavo J. R. Quiñónez Cattebeke 2003-01-23 12:55:18 PST
User-Agent:       Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130
Build Identifier: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20021130

Property "pageIndex" of "wizard" tag fails when we invoke it because for lack of
field "_pageIndex" in wizard's definition binding. It is currently not
implemented according to

Reproducible: Always

Steps to Reproduce:
1.Supose you want to know the current pageIndex value of wizard and you are at
first page, you invoke:

Actual Results:  
it returns "undefined".

Expected Results:  
it must return "0" (the pageIndex of first wizardpage element). In general it
should return the page index of the current wizardpage.
Comment 1 Gustavo J. R. Quiñónez Cattebeke 2003-01-23 13:21:36 PST
Created attachment 112442 [details] [diff] [review]
Apply against wizard.xml. Solves bug.
Comment 2 2003-01-24 06:22:10 PST
I don't think it's worth an extra field for this, just change this._pageIndex to
Comment 3 jag (Peter Annema) 2003-01-24 15:15:13 PST
Comment on attachment 112442 [details] [diff] [review]
Apply against wizard.xml. Solves bug.

What he said.
Comment 4 Gervase Markham [:gerv] 2005-09-27 02:06:55 PDT
This is an automated message, with ID "auto-resolve01".

This bug has had no comments for a long time. Statistically, we have found that
bug reports that have not been confirmed by a second user after three months are
highly unlikely to be the source of a fix to the code.

While your input is very important to us, our resources are limited and so we
are asking for your help in focussing our efforts. If you can still reproduce
this problem in the latest version of the product (see below for how to obtain a
copy) or, for feature requests, if it's not present in the latest version and
you still believe we should implement it, please visit the URL of this bug
(given at the top of this mail) and add a comment to that effect, giving more
reproduction information if you have it.

If it is not a problem any longer, you need take no action. If this bug is not
changed in any way in the next two weeks, it will be automatically resolved.
Thank you for your help in this matter.

The latest beta releases can be obtained from:
Comment 5 Gervase Markham [:gerv] 2005-10-13 10:35:29 PDT
This bug has been automatically resolved after a period of inactivity (see above
comment). If anyone thinks this is incorrect, they should feel free to reopen it.
Comment 6 Daniel Brooks [:db48x] 2005-10-27 19:03:42 PDT
Created attachment 201073 [details] [diff] [review]
Comment 7 2005-10-28 00:19:56 PDT
Comment on attachment 201073 [details] [diff] [review]

That's not a strictly conforming setter :-)

r+sr=me for xpfe too, of coruse ;-)
Comment 8 Daniel Brooks [:db48x] 2005-10-28 12:44:51 PDT
Created attachment 201181 [details] [diff] [review]

I like this better, now that I play with it some
Comment 9 2005-10-28 13:47:06 PDT
Comment on attachment 201181 [details] [diff] [review]

Ah, this fixes a JS strict warning, right?
Comment 10 Daniel Brooks [:db48x] 2005-10-28 15:01:05 PDT
checked in
Comment 11 Chris Thomas (CTho) [formerly] 2005-12-14 08:25:42 PST
First a=me for checkin of the xpfe part of the patch
Comment 12 Ian Neal 2005-12-14 09:06:14 PST
Comment on attachment 201181 [details] [diff] [review]

a=me for SM1.0b on SM only part of code, 2nd needed one - chocks away!
Comment 13 2005-12-14 09:27:26 PST
SeaMonkey-only portion of patch checked in to the 1.8 branch.
Comment 14 :Gavin Sharp [email:] 2006-02-05 13:42:40 PST
Comment on attachment 201181 [details] [diff] [review]

asking for approval for the toolkit part
Comment 15 :Gavin Sharp [email:] 2006-02-20 08:19:42 PST
Toolkit patch checked in on the 1.8 branch.
mozilla/toolkit/content/widgets/wizard.xml; new revision:;
Comment 16 Doug Wright 2006-05-10 09:51:33 PDT
Using a wizard from trunk build, I get "Warning: function set_pageIndex does not always return a value" in the JS console.

The line in question ("return val;"), was checked in as part of the patch for this bug, although it doesn't appear in the reviewed diff.

Bad merge before checkin?

Although not originally checked into the branch, it's now there as well due to Gavin's trunk/branch syncing.
Comment 17 2006-05-10 17:16:55 PDT
db48x: he's right, you should have changed both instances to return val;
Comment 18 Daniel Brooks [:db48x] 2006-05-10 17:30:54 PDT
Created attachment 221647 [details] [diff] [review]

Comment 19 Daniel Brooks [:db48x] 2006-05-10 17:43:16 PDT
Created attachment 221648 [details] [diff] [review]

and for xpfe too
Comment 20 Daniel Brooks [:db48x] 2006-05-12 16:59:00 PDT
checked in
Comment 21 Doug Wright 2006-05-13 08:16:41 PDT
(In reply to comment #20)
> checked in

The 1.8 branch needs this as well

Note You need to log in before you can comment on or make changes to this bug.